Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class SchemaObject

    java.lang.Object

      |

      +--oracle.ifs.beans.LibraryObject

            |

            +--oracle.ifs.beans.TieLibraryObject

                  |

                  +--oracle.ifs.beans.SchemaObject

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SchemaObjectInterface, Traceable

Direct Known Subclasses:
  TieSchemaObject

public class SchemaObject
extends TieLibraryObject
implements SchemaObjectInterface

SchemaObject is an abstract superclass for the objects that define and manage the data that is persistently stored by the iFS server.

Field Summary
`static java.lang.String` | `ACTIVE_ATTRIBUTE` An indicator of whether this SchemaObject is still used.
`static java.lang.String` | `CLASS_NAME` This class name for this class.
`static java.lang.String` | `NAME_ATTRIBUTE` The name of this SchemaObject.
`static java.lang.String` | `POLICYBUNDLE_ATTRIBUTE` The PolicyPropertyBundle applied to this SchemaObject to define the policies of the SchemaObject.
`static java.lang.String` | `PROPERTYBUNDLE_ATTRIBUTE` The PropertyBundle applied to this SchemaObject which contains a set of name/value pairs.

Method Summary
`PolicyPropertyBundle` | `getPolicyBundle()` Gets the policy bundle PropertyBundle of this SchemaObject.
`PropertyBundle` | `getPropertyBundle()` returns this object's PropertyBundle.
`protected boolean` | `hasNameAttribute()` override to return true for any PublicObject, indicating that the instance has a NAME attribute.
`boolean` | `isActive()` Gets whether this SchemaObject is active.
`void` | `putPolicy(Policy policy)` Adds a Policy to the policy bundle PropertyBundle of this SchemaObject.
`void` | `putProperty(AttributeValue av)` add a Property to this object's PropertyBundle.
`void` | `putProperty(java.lang.String name, AttributeValue av)` add a Property to this object's PropertyBundle.
`void` | `removeAllPolicies()` Removes all Policy objects from this SchemaObject's policy bundle PropertyBundle, leaving an empty PropertyBundle.
`void` | `removeAllProperties()` remove all Properties from this object's PropertyBundle, leaving an empty PropertyBundle.
`void` | `removePolicy(Policy policy)` Removes a Policy from this SchemaObject's policy bundle PropertyBundle.
`void` | `removePolicy(java.lang.String opname)` Removes a Policy from this SchemaObject's policy bundle PropertyBundle.
`void` | `removeProperty(java.lang.String name)` remove a Property from this object's PropertyBundle.
`void` | `setActive(boolean active)` Specifies whether this SchemaObject is active.
`void` | `setPolicyBundle(PolicyPropertyBundle bundle)` Sets the policy bundle PropertyBundle of this SchemaObject.
`void` | `setPropertyBundle(PropertyBundle bundle)` set this object's PropertyBundle.

Methods inherited from class oracle.ifs.beans.LibraryObject
`equals, free, free, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getClassId, getClassObject, getDefinition, getId, getLabel, getName, getSession, handleEvent, invokeServerMethod, isInstanceOf, isTraced, lookupInstanceLabel, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setName, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  This class name for this class. Useful for methods that take a class name argument.

### NAME_ATTRIBUTE

    public static final java.lang.String NAME_ATTRIBUTE

  The name of this SchemaObject.

### POLICYBUNDLE_ATTRIBUTE

    public static final java.lang.String POLICYBUNDLE_ATTRIBUTE

  The PolicyPropertyBundle applied to this SchemaObject to define the policies of the SchemaObject.

### ACTIVE_ATTRIBUTE

    public static final java.lang.String ACTIVE_ATTRIBUTE

  An indicator of whether this SchemaObject is still used. Inactive SchemaObjects are not included in Collections.

### PROPERTYBUNDLE_ATTRIBUTE

    public static final java.lang.String PROPERTYBUNDLE_ATTRIBUTE

  The PropertyBundle applied to this SchemaObject which contains a set of name/value pairs.

Method Detail

### hasNameAttribute

    protected boolean hasNameAttribute()
                                throws IfsException

  override to return true for any PublicObject, indicating that the instance has a NAME attribute.
  Overrides:
    `hasNameAttribute` in class `LibraryObject`
  Returns:
    true.
  Throws:
    `IfsException` - if operation fails.

### setActive

    public void setActive(boolean active)
                   throws IfsException

  Specifies whether this SchemaObject is active.

  Inactive SchemaObjects are excluded from the contents of the Collections returned by the `LibrarySession.getcollectionCollection` methods. This allows an application to remove a no-longer used SchemaObject from picklists without the referential integrity consequences of removing it using `free`.

  Parameters:
    `active` - whether the SchemaObject is active
  Throws:
    `IfsException` - if the operation fails

### isActive

    public boolean isActive()
                     throws IfsException

  Gets whether this SchemaObject is active.

  Inactive SchemaObjects are excluded from the contents of the Collections returned by the `LibrarySession.getcollectionCollection` methods. This allows an application to remove a no-longer used SchemaObject from picklists without the referential integrity consequences of removing it using `free`.

  Returns:
    whether the SchemaObject is active
  Throws:
    `IfsException` - if the operation fails

### getPropertyBundle

    public PropertyBundle getPropertyBundle()
                                     throws IfsException

  returns this object's PropertyBundle. Returns null if no PropertyBundle was specified.
  Returns:
    PropertyBundle for the object.
  Throws:
    `IfsException` - if operation fails.

### setPropertyBundle

    public void setPropertyBundle(PropertyBundle bundle)
                           throws IfsException

  set this object's PropertyBundle.
  Parameters:
    `bundle` - the Properties setting.
  Throws:
    `IfsException` - if operation fails.

### putProperty

    public void putProperty(AttributeValue av)
                     throws IfsException

  add a Property to this object's PropertyBundle. Creates a new PropertBundle if one does not already exist.
  Parameters:
    `av` - the name/value of the property to add
  Throws:
    `IfsException` - if operation fails.

### putProperty

    public void putProperty(java.lang.String name,
                            AttributeValue av)
                     throws IfsException

  add a Property to this object's PropertyBundle. Creates a new PropertBundle if one does not already exist.
  Parameters:
    `name` - the name of the new property
    `value` - the value of the new property
  Throws:
    `IfsException` - if operation fails.

### removeProperty

    public void removeProperty(java.lang.String name)
                        throws IfsException

  remove a Property from this object's PropertyBundle.
  Parameters:
    `av` - the name of the property to remove
  Throws:
    `IfsException` - if operation fails.

### removeAllProperties

    public void removeAllProperties()
                             throws IfsException

  remove all Properties from this object's PropertyBundle, leaving an empty PropertyBundle.
  Throws:
    `IfsException` - if operation fails.

### setPolicyBundle

    public void setPolicyBundle(PolicyPropertyBundle bundle)
                         throws IfsException

  Sets the policy bundle PropertyBundle of this SchemaObject.
  Parameters:
    `bundle` - the policy bundle
  Throws:
    `IfsException` - if the operation fails

### getPolicyBundle

    public PolicyPropertyBundle getPolicyBundle()
                                         throws IfsException

  Gets the policy bundle PropertyBundle of this SchemaObject.
  Returns:
    the policy bundle
  Throws:
    `IfsException` - if the operation fails

### putPolicy

    public void putPolicy(Policy policy)
                   throws IfsException

  Adds a Policy to the policy bundle PropertyBundle of this SchemaObject.

  If this SchemaObject doesn't have a policy bundle, this method will throw an exception.

  Parameters:
    `policy` - the Policy to add
  Throws:
    `IfsException` - if the operation fails

### removePolicy

    public void removePolicy(java.lang.String opname)
                      throws IfsException

  Removes a Policy from this SchemaObject's policy bundle PropertyBundle.

  This method does not cause a "dedicated" PropertyBundle to be created.

  Parameters:
    `opname` - the operation name of the Policy to remove
  Throws:
    `IfsException` - if the operation fails

### removePolicy

    public void removePolicy(Policy policy)
                      throws IfsException

  Removes a Policy from this SchemaObject's policy bundle PropertyBundle.

  This method does not cause a "dedicated" PropertyBundle to be created.

  Parameters:
    `policy` - the Policy to remove
  Throws:
    `IfsException` - if the operation fails

### removeAllPolicies

    public void removeAllPolicies()
                           throws IfsException

  Removes all Policy objects from this SchemaObject's policy bundle PropertyBundle, leaving an empty PropertyBundle.

  This method does not cause a "dedicated" PropertyBundle to be created.

  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD